이 콘텐츠는 선택한 언어로 제공되지 않습니다.
Chapter 2. Red Hat Quay Application Programming Interface (API)
This API allows you to perform many of the operations required to work with Red Hat Quay repositories, users, and organizations.
2.1. Authorization 링크 복사링크가 클립보드에 복사되었습니다!
oauth2_implicit
Scopes
The following scopes are used to control access to the API endpoints:
| Scope | Description |
|---|---|
| repo:read | This application will be able to view and pull all repositories visible to the granting user or robot account |
| repo:write | This application will be able to view, push and pull to all repositories to which the granting user or robot account has write access |
| repo:admin | This application will have administrator access to all repositories to which the granting user or robot account has access |
| repo:create | This application will be able to create repositories in to any namespaces that the granting user or robot account is allowed to create repositories |
| user:read | This application will be able to read user information such as username and email address. |
| org:admin | This application will be able to administer your organizations including creating robots, creating teams, adjusting team membership, and changing billing settings. You should have absolute trust in the requesting application before granting this permission. |
| super:user | This application will be able to administer your installation including managing users, managing organizations and other features found in the superuser panel. You should have absolute trust in the requesting application before granting this permission. |
| user:admin | This application will be able to administer your account including creating robots and granting them permissions to your repositories. You should have absolute trust in the requesting application before granting this permission. |
2.2. appspecifictokens 링크 복사링크가 클립보드에 복사되었습니다!
Manages app specific tokens for the current user.
2.2.1. createAppToken 링크 복사링크가 클립보드에 복사되었습니다!
Create a new app specific token for user.
POST /api/v1/user/apptoken
Authorizations: oauth2_implicit (user:admin)
Request body schema (application/json)
Description of a new token.
| Name | Description | Schema |
|---|---|---|
|
friendlyName | Friendly name to help identify the token | string |
Responses
2.2.2. listAppTokens 링크 복사링크가 클립보드에 복사되었습니다!
Lists the app specific tokens for the user.
GET /api/v1/user/apptoken
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
expiring | If true, only returns those tokens expiring soon | boolean |
Responses
2.2.3. getAppToken 링크 복사링크가 클립보드에 복사되었습니다!
Returns a specific app token for the user.
GET /api/v1/user/apptoken/{token_uuid}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
token_uuid | The uuid of the app specific token | string |
Responses
2.2.4. revokeAppToken 링크 복사링크가 클립보드에 복사되었습니다!
Revokes a specific app token for the user.
DELETE /api/v1/user/apptoken/{token_uuid}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
token_uuid | The uuid of the app specific token | string |
Responses
2.3. build 링크 복사링크가 클립보드에 복사되었습니다!
Create, list, cancel and get status/logs of repository builds.
2.3.1. getRepoBuildStatus 링크 복사링크가 클립보드에 복사되었습니다!
Return the status for the builds specified by the build uuids.
GET /api/v1/repository/{repository}/build/{build_uuid}/status
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
build_uuid | The UUID of the build | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.3.2. getRepoBuildLogs 링크 복사링크가 클립보드에 복사되었습니다!
Return the build logs for the build specified by the build uuid.
GET /api/v1/repository/{repository}/build/{build_uuid}/logs
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
build_uuid | The UUID of the build | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.3.3. getRepoBuild 링크 복사링크가 클립보드에 복사되었습니다!
Returns information about a build.
GET /api/v1/repository/{repository}/build/{build_uuid}
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
build_uuid | The UUID of the build | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.3.4. cancelRepoBuild 링크 복사링크가 클립보드에 복사되었습니다!
Cancels a repository build.
DELETE /api/v1/repository/{repository}/build/{build_uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
build_uuid | The UUID of the build | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.3.5. requestRepoBuild 링크 복사링크가 클립보드에 복사되었습니다!
Request that a repository be built and pushed from the specified input.
POST /api/v1/repository/{repository}/build/
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Description of a new repository build.
| Name | Description | Schema |
|---|---|---|
|
file_id | The file id that was generated when the build spec was uploaded | string |
|
archive_url | The URL of the .tar.gz to build. Must start with "http" or "https". | string |
|
subdirectory | Subdirectory in which the Dockerfile can be found. You can only specify this or dockerfile_path | string |
|
dockerfile_path | Path to a dockerfile. You can only specify this or subdirectory. | string |
|
context | Pass in the context for the dockerfile. This is optional. | string |
|
pull_robot | Username of a Quay robot account to use as pull credentials | string |
|
docker_tags | The tags to which the built images will be pushed. If none specified, "latest" is used. |
array of string |
Responses
2.3.6. getRepoBuilds 링크 복사링크가 클립보드에 복사되었습니다!
Get the list of repository builds.
GET /api/v1/repository/{repository}/build/
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
since | Returns all builds since the given unix timecode | integer |
| query |
limit | The maximum number of builds to return | integer |
Responses
2.4. discovery 링크 복사링크가 클립보드에 복사되었습니다!
API discovery information.
2.4.1. discovery 링크 복사링크가 클립보드에 복사되었습니다!
List all of the API endpoints available in the swagger API format.
GET /api/v1/discovery
Authorizations:
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
internal | Whether to include internal APIs. | boolean |
Responses
2.5. error 링크 복사링크가 클립보드에 복사되었습니다!
Error details API.
2.5.1. getErrorDescription 링크 복사링크가 클립보드에 복사되었습니다!
Get a detailed description of the error.
GET /api/v1/error/{error_type}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
error_type | The error code identifying the type of error. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
2.6. globalmessages 링크 복사링크가 클립보드에 복사되었습니다!
Messages API.
2.6.1. createGlobalMessage 링크 복사링크가 클립보드에 복사되었습니다!
Create a message.
POST /api/v1/messages
Authorizations: oauth2_implicit (super:user)
Request body schema (application/json)
Create a new message
| Name | Description | Schema |
|---|---|---|
|
message | A single message | object |
Responses
2.6.2. getGlobalMessages 링크 복사링크가 클립보드에 복사되었습니다!
Return a super users messages.
GET /api/v1/messages
Authorizations:
Responses
2.6.3. deleteGlobalMessage 링크 복사링크가 클립보드에 복사되었습니다!
Delete a message.
DELETE /api/v1/message/{uuid}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
uuid | string |
Responses
2.7. logs 링크 복사링크가 클립보드에 복사되었습니다!
Access usage logs for organizations or repositories.
2.7.1. getAggregateUserLogs 링크 복사링크가 클립보드에 복사되었습니다!
Returns the aggregated logs for the current user.
GET /api/v1/user/aggregatelogs
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
performer | Username for which to filter logs. | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
2.7.2. exportUserLogs 링크 복사링크가 클립보드에 복사되었습니다!
Returns the aggregated logs for the current user.
POST /api/v1/user/exportlogs
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Request body schema (application/json)
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
|
callback_url | The callback URL to invoke with a link to the exported logs | string |
|
callback_email | The e-mail address at which to e-mail a link to the exported logs | string |
Responses
2.7.3. listUserLogs 링크 복사링크가 클립보드에 복사되었습니다!
List the logs for the current user.
GET /api/v1/user/logs
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
performer | Username for which to filter logs. | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
2.7.4. getAggregateOrgLogs 링크 복사링크가 클립보드에 복사되었습니다!
Gets the aggregated logs for the specified organization.
GET /api/v1/organization/{orgname}/aggregatelogs
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
performer | Username for which to filter logs. | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
2.7.5. exportOrgLogs 링크 복사링크가 클립보드에 복사되었습니다!
Exports the logs for the specified organization.
POST /api/v1/organization/{orgname}/exportlogs
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Request body schema (application/json)
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
|
callback_url | The callback URL to invoke with a link to the exported logs | string |
|
callback_email | The e-mail address at which to e-mail a link to the exported logs | string |
Responses
2.7.6. listOrgLogs 링크 복사링크가 클립보드에 복사되었습니다!
List the logs for the specified organization.
GET /api/v1/organization/{orgname}/logs
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
performer | Username for which to filter logs. | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
2.7.7. getAggregateRepoLogs 링크 복사링크가 클립보드에 복사되었습니다!
Returns the aggregated logs for the specified repository.
GET /api/v1/repository/{repository}/aggregatelogs
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
2.7.8. exportRepoLogs 링크 복사링크가 클립보드에 복사되었습니다!
Queues an export of the logs for the specified repository.
POST /api/v1/repository/{repository}/exportlogs
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Request body schema (application/json)
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
|
callback_url | The callback URL to invoke with a link to the exported logs | string |
|
callback_email | The e-mail address at which to e-mail a link to the exported logs | string |
Responses
2.7.9. listRepoLogs 링크 복사링크가 클립보드에 복사되었습니다!
List the logs for the specified repository.
GET /api/v1/repository/{repository}/logs
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
2.8. manifest 링크 복사링크가 클립보드에 복사되었습니다!
Manage the manifests of a repository.
2.8.1. getManifestLabel 링크 복사링크가 클립보드에 복사되었습니다!
Retrieves the label with the specific ID under the manifest.
GET /api/v1/repository/{repository}/manifest/{manifestref}/labels/{labelid}
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
manifestref | The digest of the manifest | string |
| path |
labelid | The ID of the label | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.8.2. deleteManifestLabel 링크 복사링크가 클립보드에 복사되었습니다!
Deletes an existing label from a manifest.
DELETE /api/v1/repository/{repository}/manifest/{manifestref}/labels/{labelid}
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
manifestref | The digest of the manifest | string |
| path |
labelid | The ID of the label | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.8.3. addManifestLabel 링크 복사링크가 클립보드에 복사되었습니다!
Adds a new label into the tag manifest.
POST /api/v1/repository/{repository}/manifest/{manifestref}/labels
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
manifestref | The digest of the manifest | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Adds a label to a manifest
| Name | Description | Schema |
|---|---|---|
|
key | The key for the label | string |
|
value | The value for the label | string |
|
media_type | The media type for this label |
Responses
2.8.4. listManifestLabels 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/repository/{repository}/manifest/{manifestref}/labels
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
manifestref | The digest of the manifest | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
filter | If specified, only labels matching the given prefix will be returned | string |
Responses
2.8.5. getRepoManifest 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/repository/{repository}/manifest/{manifestref}
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
manifestref | The digest of the manifest | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.9. mirror 링크 복사링크가 클립보드에 복사되었습니다!
2.9.1. syncCancel 링크 복사링크가 클립보드에 복사되었습니다!
Update the sync_status for a given Repository’s mirroring configuration.
POST /api/v1/repository/{repository}/mirror/sync-cancel
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.9.2. syncNow 링크 복사링크가 클립보드에 복사되었습니다!
Update the sync_status for a given Repository’s mirroring configuration.
POST /api/v1/repository/{repository}/mirror/sync-now
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.9.3. getRepoMirrorConfig 링크 복사링크가 클립보드에 복사되었습니다!
Return the Mirror configuration for a given Repository.
GET /api/v1/repository/{repository}/mirror
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
2.9.4. changeRepoMirrorConfig 링크 복사링크가 클립보드에 복사되었습니다!
Allow users to modifying the repository’s mirroring configuration.
PUT /api/v1/repository/{repository}/mirror
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Update the repository mirroring configuration.
| Name | Description | Schema |
|---|---|---|
|
is_enabled | Used to enable or disable synchronizations. | boolean |
|
external_reference | Location of the external repository. | string |
|
external_registry_username | Username used to authenticate with external registry. | |
|
external_registry_password | Password used to authenticate with external registry. | |
|
sync_start_date | Determines the next time this repository is ready for synchronization. | string |
|
sync_interval | Number of seconds after next_start_date to begin synchronizing. | integer |
|
robot_username | Username of robot which will be used for image pushes. | string |
|
root_rule | A list of glob-patterns used to determine which tags should be synchronized. | object |
|
external_registry_config | object |
Responses
2.9.5. createRepoMirrorConfig 링크 복사링크가 클립보드에 복사되었습니다!
Create a RepoMirrorConfig for a given Repository.
POST /api/v1/repository/{repository}/mirror
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Create the repository mirroring configuration.
| Name | Description | Schema |
|---|---|---|
|
is_enabled | Used to enable or disable synchronizations. | boolean |
|
external_reference | Location of the external repository. | string |
|
external_registry_username | Username used to authenticate with external registry. | |
|
external_registry_password | Password used to authenticate with external registry. | |
|
sync_start_date | Determines the next time this repository is ready for synchronization. | string |
|
sync_interval | Number of seconds after next_start_date to begin synchronizing. | integer |
|
robot_username | Username of robot which will be used for image pushes. | string |
|
root_rule | A list of glob-patterns used to determine which tags should be synchronized. | object |
|
external_registry_config | object |
Responses
2.10. namespacequota 링크 복사링크가 클립보드에 복사되었습니다!
2.10.1. listUserQuota 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/user/quota
Authorizations: oauth2_implicit (user:admin)
Responses
2.10.2. getOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
Responses
2.10.3. changeOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
PUT /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
Request body schema (application/json)
Description of changing organization quota limit
| Name | Description | Schema |
|---|---|---|
|
type | Type of quota limit: "Warning" or "Reject" | string |
|
threshold_percent | Quota threshold, in percent of quota | integer |
Responses
2.10.4. deleteOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
DELETE /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
Responses
2.10.5. createOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/organization/{orgname}/quota/{quota_id}/limit
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Request body schema (application/json)
Description of a new organization quota limit
| Name | Description | Schema |
|---|---|---|
|
type | Type of quota limit: "Warning" or "Reject" | string |
|
threshold_percent | Quota threshold, in percent of quota | integer |
Responses
2.10.6. listOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/organization/{orgname}/quota/{quota_id}/limit
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Responses
2.10.7. getUserQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/user/quota/{quota_id}/limit/{limit_id}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string |
Responses
2.10.8. listUserQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/user/quota/{quota_id}/limit
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string |
Responses
2.10.9. getOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/organization/{orgname}/quota/{quota_id}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Responses
2.10.10. changeOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
PUT /api/v1/organization/{orgname}/quota/{quota_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Request body schema (application/json)
Description of a new organization quota
| Name | Description | Schema |
|---|---|---|
|
limit_bytes | Number of bytes the organization is allowed | integer |
Responses
2.10.11. deleteOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
DELETE /api/v1/organization/{orgname}/quota/{quota_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Responses
2.10.12. createOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
Create a new organization quota.
POST /api/v1/organization/{orgname}/quota
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | string |
Request body schema (application/json)
Description of a new organization quota
| Name | Description | Schema |
|---|---|---|
|
limit_bytes | Number of bytes the organization is allowed | integer |
Responses
2.10.13. listOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/organization/{orgname}/quota
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | string |
Responses
2.10.14. getUserQuota 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/user/quota/{quota_id}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string |
Responses
2.11. organization 링크 복사링크가 클립보드에 복사되었습니다!
Manage organizations, members and OAuth applications.
2.11.1. createOrganization 링크 복사링크가 클립보드에 복사되었습니다!
Create a new organization.
POST /api/v1/organization/
Authorizations: oauth2_implicit (user:admin)
Request body schema (application/json)
Description of a new organization.
| Name | Description | Schema |
|---|---|---|
|
name | Organization username | string |
|
email | Organization contact email | string |
|
recaptcha_response | The (may be disabled) recaptcha response code for verification | string |
Responses
2.11.2. validateProxyCacheConfig 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/organization/{orgname}/validateproxycache
Running POST /api/v1/organization/{orgname}/validateproxycache currently returns a 202 response payload of Valid. This is a known issue. It should return a Successful Creation response payload. This will be fixed in a future version of Red Hat Quay.
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | string |
Request body schema (application/json)
Proxy cache configuration for an organization
| Name | Description | Schema |
|---|---|---|
|
upstream_registry | Name of the upstream registry that is to be cached | string |
Responses
2.11.3. getOrganizationCollaborators 링크 복사링크가 클립보드에 복사되었습니다!
List outside collaborators of the specified organization.
GET /api/v1/organization/{orgname}/collaborators
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
2.11.4. getOrganizationApplication 링크 복사링크가 클립보드에 복사되었습니다!
Retrieves the application with the specified client_id under the specified organization.
GET /api/v1/organization/{orgname}/applications/{client_id}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
client_id | The OAuth client ID | string |
| path |
orgname | The name of the organization | string |
Responses
2.11.5. updateOrganizationApplication 링크 복사링크가 클립보드에 복사되었습니다!
Updates an application under this organization.
PUT /api/v1/organization/{orgname}/applications/{client_id}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
client_id | The OAuth client ID | string |
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of an updated application.
| Name | Description | Schema |
|---|---|---|
|
name | The name of the application | string |
|
redirect_uri | The URI for the application’s OAuth redirect | string |
|
application_uri | The URI for the application’s homepage | string |
|
description | The human-readable description for the application | string |
|
avatar_email | The e-mail address of the avatar to use for the application | string |
Responses
2.11.6. deleteOrganizationApplication 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the application under this organization.
DELETE /api/v1/organization/{orgname}/applications/{client_id}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
client_id | The OAuth client ID | string |
| path |
orgname | The name of the organization | string |
Responses
2.11.7. createOrganizationApplication 링크 복사링크가 클립보드에 복사되었습니다!
Creates a new application under this organization.
POST /api/v1/organization/{orgname}/applications
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of a new organization application.
| Name | Description | Schema |
|---|---|---|
|
name | The name of the application | string |
|
redirect_uri | The URI for the application’s OAuth redirect | string |
|
application_uri | The URI for the application’s homepage | string |
|
description | The human-readable description for the application | string |
|
avatar_email | The e-mail address of the avatar to use for the application | string |
Responses
2.11.8. getOrganizationApplications 링크 복사링크가 클립보드에 복사되었습니다!
List the applications for the specified organization.
GET /api/v1/organization/{orgname}/applications
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
2.11.9. getProxyCacheConfig 링크 복사링크가 클립보드에 복사되었습니다!
Retrieves the proxy cache configuration of the organization.
GET /api/v1/organization/{orgname}/proxycache
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
2.11.10. deleteProxyCacheConfig 링크 복사링크가 클립보드에 복사되었습니다!
Delete proxy cache configuration for the organization.
DELETE /api/v1/organization/{orgname}/proxycache
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
2.11.11. createProxyCacheConfig 링크 복사링크가 클립보드에 복사되었습니다!
Creates proxy cache configuration for the organization.
POST /api/v1/organization/{orgname}/proxycache
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Proxy cache configuration for an organization
| Name | Description | Schema |
|---|---|---|
|
upstream_registry | Name of the upstream registry that is to be cached | string |
Responses
2.11.12. getOrganizationMember 링크 복사링크가 클립보드에 복사되었습니다!
Retrieves the details of a member of the organization.
GET /api/v1/organization/{orgname}/members/{membername}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
membername | The username of the organization member | string |
Responses
2.11.13. removeOrganizationMember 링크 복사링크가 클립보드에 복사되었습니다!
Removes a member from an organization, revoking all its repository priviledges and removing it from all teams in the organization.
DELETE /api/v1/organization/{orgname}/members/{membername}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
membername | The username of the organization member | string |
Responses
2.11.14. getOrganizationMembers 링크 복사링크가 클립보드에 복사되었습니다!
List the human members of the specified organization.
GET /api/v1/organization/{orgname}/members
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
2.11.15. getOrganization 링크 복사링크가 클립보드에 복사되었습니다!
Get the details for the specified organization.
GET /api/v1/organization/{orgname}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
2.11.16. changeOrganizationDetails 링크 복사링크가 클립보드에 복사되었습니다!
Change the details for the specified organization.
PUT /api/v1/organization/{orgname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of updates for an existing organization
| Name | Description | Schema |
|---|---|---|
|
email | Organization contact email | string |
|
invoice_email | Whether the organization desires to receive emails for invoices | boolean |
|
invoice_email_address | The email address at which to receive invoices | |
|
tag_expiration_s | The number of seconds for tag expiration | integer |
Responses
2.11.17. deleteAdminedOrganization 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the specified organization.
DELETE /api/v1/organization/{orgname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
2.11.18. getApplicationInformation 링크 복사링크가 클립보드에 복사되었습니다!
Get information on the specified application.
GET /api/v1/app/{client_id}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
client_id | The OAuth client ID | string |
Responses
2.12. permission 링크 복사링크가 클립보드에 복사되었습니다!
Manage repository permissions.
2.12.1. getUserTransitivePermission 링크 복사링크가 클립보드에 복사되었습니다!
Get the fetch the permission for the specified user.
GET /api/v1/repository/{repository}/permissions/user/{username}/transitive
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
username | The username of the user to which the permissions apply | string |
Responses
2.12.2. getUserPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Get the permission for the specified user.
GET /api/v1/repository/{repository}/permissions/user/{username}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
username | The username of the user to which the permission applies | string |
Responses
2.12.3. changeUserPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Update the perimssions for an existing repository.
PUT /api/v1/repository/{repository}/permissions/user/{username}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
username | The username of the user to which the permission applies | string |
Request body schema (application/json)
Description of a user permission.
| Name | Description | Schema |
|---|---|---|
|
role | Role to use for the user | string |
Responses
2.12.4. deleteUserPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Delete the permission for the user.
DELETE /api/v1/repository/{repository}/permissions/user/{username}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
username | The username of the user to which the permission applies | string |
Responses
2.12.5. getTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Fetch the permission for the specified team.
GET /api/v1/repository/{repository}/permissions/team/{teamname}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
teamname | The name of the team to which the permission applies | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.12.6. changeTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Update the existing team permission.
PUT /api/v1/repository/{repository}/permissions/team/{teamname}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
teamname | The name of the team to which the permission applies | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Description of a team permission.
| Name | Description | Schema |
|---|---|---|
|
role | Role to use for the team | string |
Responses
2.12.7. deleteTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Delete the permission for the specified team.
DELETE /api/v1/repository/{repository}/permissions/team/{teamname}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
teamname | The name of the team to which the permission applies | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.12.8. listRepoTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
List all team permission.
GET /api/v1/repository/{repository}/permissions/team/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.12.9. listRepoUserPermissions 링크 복사링크가 클립보드에 복사되었습니다!
List all user permissions.
GET /api/v1/repository/{repository}/permissions/user/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.13. prototype 링크 복사링크가 클립보드에 복사되었습니다!
Manage default permissions added to repositories.
2.13.1. updateOrganizationPrototypePermission 링크 복사링크가 클립보드에 복사되었습니다!
Update the role of an existing permission prototype.
PUT /api/v1/organization/{orgname}/prototypes/{prototypeid}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
prototypeid | The ID of the prototype | string |
Request body schema (application/json)
Description of a the new prototype role
| Name | Description | Schema |
|---|---|---|
|
role | Role that should be applied to the permission | string |
Responses
2.13.2. deleteOrganizationPrototypePermission 링크 복사링크가 클립보드에 복사되었습니다!
Delete an existing permission prototype.
DELETE /api/v1/organization/{orgname}/prototypes/{prototypeid}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
prototypeid | The ID of the prototype | string |
Responses
2.13.3. createOrganizationPrototypePermission 링크 복사링크가 클립보드에 복사되었습니다!
Create a new permission prototype.
POST /api/v1/organization/{orgname}/prototypes
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of a new prototype
| Name | Description | Schema |
|---|---|---|
|
role | Role that should be applied to the delegate | string |
|
activating_user | Repository creating user to whom the rule should apply | object |
|
delegate | Information about the user or team to which the rule grants access | object |
Responses
2.13.4. getOrganizationPrototypePermissions 링크 복사링크가 클립보드에 복사되었습니다!
List the existing prototypes for this organization.
GET /api/v1/organization/{orgname}/prototypes
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
2.14. repository 링크 복사링크가 클립보드에 복사되었습니다!
List, create and manage repositories.
2.14.1. createRepo 링크 복사링크가 클립보드에 복사되었습니다!
Create a new repository.
POST /api/v1/repository
Authorizations: oauth2_implicit (repo:create)
Request body schema (application/json)
Description of a new repository
| Name | Description | Schema |
|---|---|---|
|
repository | Repository name | string |
|
visibility | Visibility which the repository will start with | string |
|
namespace | Namespace in which the repository should be created. If omitted, the username of the caller is used | string |
|
description | Markdown encoded description for the repository | string |
|
repo_kind | The kind of repository |
Responses
2.14.2. listRepos 링크 복사링크가 클립보드에 복사되었습니다!
Fetch the list of repositories visible to the current user under a variety of situations.
GET /api/v1/repository
Authorizations: oauth2_implicit (repo:read)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
repo_kind | The kind of repositories to return | string |
| query |
popularity | Whether to include the repository’s popularity metric. | boolean |
| query |
last_modified | Whether to include when the repository was last modified. | boolean |
| query |
public | Adds any repositories visible to the user by virtue of being public | boolean |
| query |
starred | Filters the repositories returned to those starred by the user | boolean |
| query |
namespace | Filters the repositories returned to this namespace | string |
Responses
2.14.3. changeRepoVisibility 링크 복사링크가 클립보드에 복사되었습니다!
Change the visibility of a repository.
POST /api/v1/repository/{repository}/changevisibility
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Change the visibility for the repository.
| Name | Description | Schema |
|---|---|---|
|
visibility | Visibility which the repository will start with | string |
Responses
2.14.4. changeRepoState 링크 복사링크가 클립보드에 복사되었습니다!
Change the state of a repository.
PUT /api/v1/repository/{repository}/changestate
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Change the state of the repository.
| Name | Description | Schema |
|---|---|---|
|
state | Determines whether pushes are allowed. | string |
Responses
2.14.5. getRepo 링크 복사링크가 클립보드에 복사되었습니다!
Fetch the specified repository.
GET /api/v1/repository/{repository}
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
includeTags | Whether to include repository tags | boolean |
| query |
includeStats | Whether to include action statistics | boolean |
Responses
2.14.6. updateRepo 링크 복사링크가 클립보드에 복사되었습니다!
Update the description in the specified repository.
PUT /api/v1/repository/{repository}
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Fields which can be updated in a repository.
| Name | Description | Schema |
|---|---|---|
|
description | Markdown encoded description for the repository | string |
Responses
2.14.7. deleteRepository 링크 복사링크가 클립보드에 복사되었습니다!
Delete a repository.
DELETE /api/v1/repository/{repository}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.15. repositorynotification 링크 복사링크가 클립보드에 복사되었습니다!
List, create and manage repository events/notifications.
2.15.1. testRepoNotification 링크 복사링크가 클립보드에 복사되었습니다!
Queues a test notification for this repository.
POST /api/v1/repository/{repository}/notification/{uuid}/test
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
uuid | The UUID of the notification | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.15.2. getRepoNotification 링크 복사링크가 클립보드에 복사되었습니다!
Get information for the specified notification.
GET /api/v1/repository/{repository}/notification/{uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
uuid | The UUID of the notification | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.15.3. deleteRepoNotification 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the specified notification.
DELETE /api/v1/repository/{repository}/notification/{uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
uuid | The UUID of the notification | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.15.4. resetRepositoryNotificationFailures 링크 복사링크가 클립보드에 복사되었습니다!
Resets repository notification to 0 failures.
POST /api/v1/repository/{repository}/notification/{uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
uuid | The UUID of the notification | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.15.5. createRepoNotification 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/repository/{repository}/notification/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Information for creating a notification on a repository
| Name | Description | Schema |
|---|---|---|
|
event | The event on which the notification will respond | string |
|
method | The method of notification (such as email or web callback) | string |
|
config | JSON config information for the specific method of notification | object |
|
eventConfig | JSON config information for the specific event of notification | object |
|
title | The human-readable title of the notification | string |
Responses
2.15.6. listRepoNotifications 링크 복사링크가 클립보드에 복사되었습니다!
List the notifications for the specified repository.
GET /api/v1/repository/{repository}/notification/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.16. repotoken 링크 복사링크가 클립보드에 복사되었습니다!
Manage repository access tokens (DEPRECATED).
2.16.1. getTokens 링크 복사링크가 클립보드에 복사되었습니다!
Fetch the specified repository token information.
GET /api/v1/repository/{repository}/tokens/{code}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
code | The token code | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.16.2. changeToken 링크 복사링크가 클립보드에 복사되었습니다!
Update the permissions for the specified repository token.
PUT /api/v1/repository/{repository}/tokens/{code}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
code | The token code | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Description of a token permission
| Name | Description | Schema |
|---|---|---|
|
role | Role to use for the token | string |
Responses
2.16.3. deleteToken 링크 복사링크가 클립보드에 복사되었습니다!
Delete the repository token.
DELETE /api/v1/repository/{repository}/tokens/{code}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
code | The token code | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.16.4. createToken 링크 복사링크가 클립보드에 복사되었습니다!
Create a new repository token.
POST /api/v1/repository/{repository}/tokens/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Description of a new token.
| Name | Description | Schema |
|---|---|---|
|
friendlyName | Friendly name to help identify the token | string |
Responses
2.16.5. listRepoTokens 링크 복사링크가 클립보드에 복사되었습니다!
List the tokens for the specified repository.
GET /api/v1/repository/{repository}/tokens/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.17. robot 링크 복사링크가 클립보드에 복사되었습니다!
Manage user and organization robot accounts.
2.17.1. getUserRobots 링크 복사링크가 클립보드에 복사되었습니다!
List the available robots for the user.
GET /api/v1/user/robots
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
limit | If specified, the number of robots to return. | integer |
| query |
token | If false, the robot’s token is not returned. | boolean |
| query |
permissions | Whether to include repositories and teams in which the robots have permission. | boolean |
Responses
2.17.2. getOrgRobotPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Returns the list of repository permissions for the org’s robot.
GET /api/v1/organization/{orgname}/robots/{robot_shortname}/permissions
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Responses
2.17.3. regenerateOrgRobotToken 링크 복사링크가 클립보드에 복사되었습니다!
Regenerates the token for an organization robot.
POST /api/v1/organization/{orgname}/robots/{robot_shortname}/regenerate
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Responses
2.17.4. getUserRobotPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Returns the list of repository permissions for the user’s robot.
GET /api/v1/user/robots/{robot_shortname}/permissions
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Responses
2.17.5. regenerateUserRobotToken 링크 복사링크가 클립보드에 복사되었습니다!
Regenerates the token for a user’s robot.
POST /api/v1/user/robots/{robot_shortname}/regenerate
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Responses
2.17.6. getOrgRobot 링크 복사링크가 클립보드에 복사되었습니다!
Returns the organization’s robot with the specified name.
GET /api/v1/organization/{orgname}/robots/{robot_shortname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Responses
2.17.7. createOrgRobot 링크 복사링크가 클립보드에 복사되었습니다!
Create a new robot in the organization.
PUT /api/v1/organization/{orgname}/robots/{robot_shortname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Request body schema (application/json)
Optional data for creating a robot
| Name | Description | Schema |
|---|---|---|
|
description | Optional text description for the robot | string |
|
unstructured_metadata | Optional unstructured metadata for the robot | object |
Responses
2.17.8. deleteOrgRobot 링크 복사링크가 클립보드에 복사되었습니다!
Delete an existing organization robot.
DELETE /api/v1/organization/{orgname}/robots/{robot_shortname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Responses
2.17.9. getOrgRobots 링크 복사링크가 클립보드에 복사되었습니다!
List the organization’s robots.
GET /api/v1/organization/{orgname}/robots
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
limit | If specified, the number of robots to return. | integer |
| query |
token | If false, the robot’s token is not returned. | boolean |
| query |
permissions | Whether to include repostories and teams in which the robots have permission. | boolean |
Responses
2.17.10. getUserRobot 링크 복사링크가 클립보드에 복사되었습니다!
Returns the user’s robot with the specified name.
GET /api/v1/user/robots/{robot_shortname}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Responses
2.17.11. createUserRobot 링크 복사링크가 클립보드에 복사되었습니다!
Create a new user robot with the specified name.
PUT /api/v1/user/robots/{robot_shortname}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Request body schema (application/json)
Optional data for creating a robot
| Name | Description | Schema |
|---|---|---|
|
description | Optional text description for the robot | string |
|
unstructured_metadata | Optional unstructured metadata for the robot | object |
Responses
2.17.12. deleteUserRobot 링크 복사링크가 클립보드에 복사되었습니다!
Delete an existing robot.
DELETE /api/v1/user/robots/{robot_shortname}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
robot_shortname | The short name for the robot, without any user or organization prefix | string |
Responses
2.18. search 링크 복사링크가 클립보드에 복사되었습니다!
Conduct searches against all registry context.
2.18.1. conductRepoSearch 링크 복사링크가 클립보드에 복사되었습니다!
Get a list of apps and repositories that match the specified query.
GET /api/v1/find/repositories
Authorizations:
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
includeUsage | Whether to include usage metadata | boolean |
| query |
page | The page. | integer |
| query |
query | The search query. | string |
Responses
2.18.2. conductSearch 링크 복사링크가 클립보드에 복사되었습니다!
Get a list of entities and resources that match the specified query.
GET /api/v1/find/all
Authorizations: oauth2_implicit (repo:read)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
query | The search query. | string |
Responses
2.18.3. getMatchingEntities 링크 복사링크가 클립보드에 복사되었습니다!
Get a list of entities that match the specified prefix.
GET /api/v1/entities/{prefix}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
prefix | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
includeOrgs | Whether to include orgs names. | boolean |
| query |
includeTeams | Whether to include team names. | boolean |
| query |
namespace | Namespace to use when querying for org entities. | string |
Responses
2.19. secscan 링크 복사링크가 클립보드에 복사되었습니다!
List and manage repository vulnerabilities and other security information.
2.19.1. getRepoManifestSecurity 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/repository/{repository}/manifest/{manifestref}/security
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
manifestref | The digest of the manifest | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
vulnerabilities | Include vulnerabilities informations | boolean |
Responses
2.20. superuser 링크 복사링크가 클립보드에 복사되었습니다!
Superuser API.
2.20.1. createInstallUser 링크 복사링크가 클립보드에 복사되었습니다!
Creates a new user.
POST /api/v1/superuser/users/
Authorizations: oauth2_implicit (super:user)
Request body schema (application/json)
Data for creating a user
| Name | Description | Schema |
|---|---|---|
|
username | The username of the user being created | string |
|
email | The email address of the user being created | string |
Responses
2.20.2. listAllUsers 링크 복사링크가 클립보드에 복사되었습니다!
Returns a list of all users in the system.
GET /api/v1/superuser/users/
Authorizations: oauth2_implicit (super:user)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
disabled | If false, only enabled users will be returned. | boolean |
Responses
2.20.3. listAllLogs 링크 복사링크가 클립보드에 복사되었습니다!
List the usage logs for the current system.
GET /api/v1/superuser/logs
Authorizations: oauth2_implicit (super:user)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
page | The page number for the logs | integer |
| query |
endtime | Latest time to which to get logs (%m/%d/%Y %Z) | string |
| query |
starttime | Earliest time from which to get logs (%m/%d/%Y %Z) | string |
Responses
2.20.4. createServiceKey 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/superuser/keys
Authorizations: oauth2_implicit (super:user)
Request body schema (application/json)
Description of creation of a service key
| Name | Description | Schema |
|---|---|---|
|
service | The service authenticating with this key | string |
|
name | The friendly name of a service key | string |
|
metadata | The key/value pairs of this key’s metadata | object |
|
notes | If specified, the extra notes for the key | string |
|
expiration | The expiration date as a unix timestamp |
Responses
2.20.5. listServiceKeys 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/superuser/keys
Authorizations: oauth2_implicit (super:user)
Responses
2.20.6. changeUserQuotaSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
PUT /api/v1/superuser/organization/{namespace}/quota/{quota_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
namespace | string | |
| path |
quota_id | string |
Request body schema (application/json)
Description of a new organization quota
| Name | Description | Schema |
|---|---|---|
|
limit_bytes | Number of bytes the organization is allowed | integer |
Responses
2.20.7. deleteUserQuotaSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
DELETE /api/v1/superuser/organization/{namespace}/quota/{quota_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
namespace | string | |
| path |
quota_id | string |
Responses
2.20.8. createUserQuotaSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/superuser/organization/{namespace}/quota
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
namespace | string |
Request body schema (application/json)
Description of a new organization quota
| Name | Description | Schema |
|---|---|---|
|
limit_bytes | Number of bytes the organization is allowed | integer |
Responses
2.20.9. listUserQuotaSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/superuser/organization/{namespace}/quota
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
namespace | string |
Responses
2.20.10. changeOrganizationQuotaSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
PUT /api/v1/superuser/users/{namespace}/quota/{quota_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
namespace | string | |
| path |
quota_id | string |
Request body schema (application/json)
Description of a new organization quota
| Name | Description | Schema |
|---|---|---|
|
limit_bytes | Number of bytes the organization is allowed | integer |
Responses
2.20.11. deleteOrganizationQuotaSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
DELETE /api/v1/superuser/users/{namespace}/quota/{quota_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
namespace | string | |
| path |
quota_id | string |
Responses
2.20.12. createOrganizationQuotaSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/superuser/users/{namespace}/quota
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
namespace | string |
Request body schema (application/json)
Description of a new organization quota
| Name | Description | Schema |
|---|---|---|
|
limit_bytes | Number of bytes the organization is allowed | integer |
Responses
2.20.13. listOrganizationQuotaSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/superuser/users/{namespace}/quota
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
namespace | string |
Responses
2.20.14. changeOrganization 링크 복사링크가 클립보드에 복사되었습니다!
Updates information about the specified user.
PUT /api/v1/superuser/organizations/{name}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
name | The name of the organizaton being managed | string |
Request body schema (application/json)
Description of updates for an existing organization
| Name | Description | Schema |
|---|---|---|
|
email | Organization contact email | string |
|
invoice_email | Whether the organization desires to receive emails for invoices | boolean |
|
invoice_email_address | The email address at which to receive invoices | |
|
tag_expiration_s | The number of seconds for tag expiration | integer |
Responses
2.20.15. deleteOrganization 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the specified organization.
DELETE /api/v1/superuser/organizations/{name}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
name | The name of the organizaton being managed | string |
Responses
2.20.16. approveServiceKey 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/superuser/approvedkeys/{kid}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
kid | The unique identifier for a service key | string |
Request body schema (application/json)
Information for approving service keys
| Name | Description | Schema |
|---|---|---|
|
notes | Optional approval notes | string |
Responses
2.20.17. getServiceKey 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/superuser/keys/{kid}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
kid | The unique identifier for a service key | string |
Responses
2.20.18. updateServiceKey 링크 복사링크가 클립보드에 복사되었습니다!
PUT /api/v1/superuser/keys/{kid}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
kid | The unique identifier for a service key | string |
Request body schema (application/json)
Description of updates for a service key
| Name | Description | Schema |
|---|---|---|
|
name | The friendly name of a service key | string |
|
metadata | The key/value pairs of this key’s metadata | object |
|
expiration | The expiration date as a unix timestamp |
Responses
2.20.19. deleteServiceKey 링크 복사링크가 클립보드에 복사되었습니다!
DELETE /api/v1/superuser/keys/{kid}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
kid | The unique identifier for a service key | string |
Responses
2.20.20. getRepoBuildStatusSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
Return the status for the builds specified by the build uuids.
GET /api/v1/superuser/{build_uuid}/status
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
build_uuid | The UUID of the build | string |
Responses
2.20.21. getRepoBuildSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
Returns information about a build.
GET /api/v1/superuser/{build_uuid}/build
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
build_uuid | The UUID of the build | string |
Responses
2.20.22. getRepoBuildLogsSuperUser 링크 복사링크가 클립보드에 복사되었습니다!
Return the build logs for the build specified by the build uuid.
GET /api/v1/superuser/{build_uuid}/logs
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
build_uuid | The UUID of the build | string |
Responses
2.21. tag 링크 복사링크가 클립보드에 복사되었습니다!
Manage the tags of a repository.
2.21.1. restoreTag 링크 복사링크가 클립보드에 복사되었습니다!
Restores a repository tag back to a previous image in the repository.
POST /api/v1/repository/{repository}/tag/{tag}/restore
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
tag | The name of the tag | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Restores a tag to a specific image
| Name | Description | Schema |
|---|---|---|
|
manifest_digest | If specified, the manifest digest that should be used | string |
Responses
2.21.2. changeTag 링크 복사링크가 클립보드에 복사되었습니다!
Change which image a tag points to or create a new tag.
PUT /api/v1/repository/{repository}/tag/{tag}
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
tag | The name of the tag | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Makes changes to a specific tag
| Name | Description | Schema |
|---|---|---|
|
manifest_digest | (If specified) The manifest digest to which the tag should point | |
|
expiration | (If specified) The expiration for the image |
Responses
2.21.3. deleteFullTag 링크 복사링크가 클립보드에 복사되었습니다!
Delete the specified repository tag.
DELETE /api/v1/repository/{repository}/tag/{tag}
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
tag | The name of the tag | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.21.4. listRepoTags 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/repository/{repository}/tag/
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
onlyActiveTags | Filter to only active tags. | boolean |
| query |
page | Page index for the results. Default 1. | integer |
| query |
limit | Limit to the number of results to return per page. Max 100. | integer |
| query |
specificTag | Filters the tags to the specific tag. | string |
Responses
2.22. team 링크 복사링크가 클립보드에 복사되었습니다!
Create, list and manage an organization’s teams.
2.22.1. getOrganizationTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Returns the list of repository permissions for the org’s team.
GET /api/v1/organization/{orgname}/team/{teamname}/permissions
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
teamname | The name of the team | string |
Responses
2.22.2. updateOrganizationTeamMember 링크 복사링크가 클립보드에 복사되었습니다!
Adds or invites a member to an existing team.
PUT /api/v1/organization/{orgname}/team/{teamname}/members/{membername}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
teamname | The name of the team | string |
| path |
membername | The username of the team member | string |
Responses
2.22.3. deleteOrganizationTeamMember 링크 복사링크가 클립보드에 복사되었습니다!
Delete a member of a team.
If the user is merely invited to join the team, then the invite is removed instead.
DELETE /api/v1/organization/{orgname}/team/{teamname}/members/{membername}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
teamname | The name of the team | string |
| path |
membername | The username of the team member | string |
Responses
2.22.4. getOrganizationTeamMembers 링크 복사링크가 클립보드에 복사되었습니다!
Retrieve the list of members for the specified team.
GET /api/v1/organization/{orgname}/team/{teamname}/members
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
teamname | The name of the team | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
includePending | Whether to include pending members | boolean |
Responses
2.22.5. inviteTeamMemberEmail 링크 복사링크가 클립보드에 복사되었습니다!
Invites an email address to an existing team.
PUT /api/v1/organization/{orgname}/team/{teamname}/invite/{email}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | string | |
| path |
teamname | string | |
| path |
email | string |
Responses
2.22.6. deleteTeamMemberEmailInvite 링크 복사링크가 클립보드에 복사되었습니다!
Delete an invite of an email address to join a team.
DELETE /api/v1/organization/{orgname}/team/{teamname}/invite/{email}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | string | |
| path |
teamname | string | |
| path |
email | string |
Responses
2.22.7. updateOrganizationTeam 링크 복사링크가 클립보드에 복사되었습니다!
Update the org-wide permission for the specified team.
PUT /api/v1/organization/{orgname}/team/{teamname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
teamname | The name of the team | string |
Request body schema (application/json)
Description of a team
| Name | Description | Schema |
|---|---|---|
|
role | Org wide permissions that should apply to the team | string |
|
description | Markdown description for the team | string |
Responses
2.22.8. deleteOrganizationTeam 링크 복사링크가 클립보드에 복사되었습니다!
Delete the specified team.
DELETE /api/v1/organization/{orgname}/team/{teamname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
| path |
teamname | The name of the team | string |
Responses
2.23. trigger 링크 복사링크가 클립보드에 복사되었습니다!
Create, list and manage build triggers.
2.23.1. activateBuildTrigger 링크 복사링크가 클립보드에 복사되었습니다!
Activate the specified build trigger.
POST /api/v1/repository/{repository}/trigger/{trigger_uuid}/activate
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
trigger_uuid | The UUID of the build trigger | string |
Request body schema (application/json)
| Name | Description | Schema |
|---|---|---|
|
config | Arbitrary json. | object |
|
pull_robot | The name of the robot that will be used to pull images. | string |
Responses
2.23.2. listTriggerRecentBuilds 링크 복사링크가 클립보드에 복사되었습니다!
List the builds started by the specified trigger.
GET /api/v1/repository/{repository}/trigger/{trigger_uuid}/builds
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
trigger_uuid | The UUID of the build trigger | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
limit | The maximum number of builds to return | integer |
Responses
2.23.3. manuallyStartBuildTrigger 링크 복사링크가 클립보드에 복사되었습니다!
Manually start a build from the specified trigger.
POST /api/v1/repository/{repository}/trigger/{trigger_uuid}/start
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
trigger_uuid | The UUID of the build trigger | string |
Request body schema (application/json)
Optional run parameters for activating the build trigger
| Name | Description | Schema |
|---|---|---|
|
branch_name | (SCM only) If specified, the name of the branch to build. | string |
|
commit_sha | (Custom Only) If specified, the ref/SHA1 used to checkout a git repository. | string |
|
refs | (SCM Only) If specified, the ref to build. |
Responses
2.23.4. getBuildTrigger 링크 복사링크가 클립보드에 복사되었습니다!
Get information for the specified build trigger.
GET /api/v1/repository/{repository}/trigger/{trigger_uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
trigger_uuid | The UUID of the build trigger | string |
Responses
2.23.5. updateBuildTrigger 링크 복사링크가 클립보드에 복사되었습니다!
Updates the specified build trigger.
PUT /api/v1/repository/{repository}/trigger/{trigger_uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
trigger_uuid | The UUID of the build trigger | string |
Request body schema (application/json)
Options for updating a build trigger
| Name | Description | Schema |
|---|---|---|
|
enabled | Whether the build trigger is enabled | boolean |
Responses
2.23.6. deleteBuildTrigger 링크 복사링크가 클립보드에 복사되었습니다!
Delete the specified build trigger.
DELETE /api/v1/repository/{repository}/trigger/{trigger_uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
trigger_uuid | The UUID of the build trigger | string |
Responses
2.23.7. listBuildTriggers 링크 복사링크가 클립보드에 복사되었습니다!
List the triggers for the specified repository.
GET /api/v1/repository/{repository}/trigger/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.24. user 링크 복사링크가 클립보드에 복사되었습니다!
Manage the current user.
2.24.1. createStar 링크 복사링크가 클립보드에 복사되었습니다!
Star a repository.
POST /api/v1/user/starred
Authorizations: oauth2_implicit (repo:read)
Request body schema (application/json)
| Name | Description | Schema |
|---|---|---|
|
namespace | Namespace in which the repository belongs | string |
|
repository | Repository name | string |
Responses
2.24.2. listStarredRepos 링크 복사링크가 클립보드에 복사되었습니다!
List all starred repositories.
GET /api/v1/user/starred
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
Responses
2.24.3. getLoggedInUser 링크 복사링크가 클립보드에 복사되었습니다!
Get user information for the authenticated user.
GET /api/v1/user/
Authorizations: oauth2_implicit (user:read)
Responses
2.24.4. deleteStar 링크 복사링크가 클립보드에 복사되었습니다!
Removes a star from a repository.
DELETE /api/v1/user/starred/{repository}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
2.24.5. getUserInformation 링크 복사링크가 클립보드에 복사되었습니다!
Get user information for the specified user.
GET /api/v1/users/{username}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
username | string |
Responses
2.25. Definitions 링크 복사링크가 클립보드에 복사되었습니다!
2.25.1. ApiError 링크 복사링크가 클립보드에 복사되었습니다!
| Name | Description | Schema |
|---|---|---|
|
status | Status code of the response. | integer |
|
type | Reference to the type of the error. | string |
|
detail | Details about the specific instance of the error. | string |
|
title | Unique error code to identify the type of error. | string |
|
error_message | Deprecated; alias for detail | string |
|
error_type | Deprecated; alias for detail | string |
2.25.2. UserView 링크 복사링크가 클립보드에 복사되었습니다!
| Name | Description | Schema |
|---|---|---|
|
verified | Whether the user’s email address has been verified | boolean |
|
anonymous | true if this user data represents a guest user | boolean |
|
email | The user’s email address | string |
|
avatar | Avatar data representing the user’s icon | object |
|
organizations | Information about the organizations in which the user is a member |
array of object |
|
logins | The list of external login providers against which the user has authenticated |
array of object |
|
can_create_repo | Whether the user has permission to create repositories | boolean |
|
preferred_namespace | If true, the user’s namespace is the preferred namespace to display | boolean |
2.25.3. ViewMirrorConfig 링크 복사링크가 클립보드에 복사되었습니다!
| Name | Description | Schema |
|---|---|---|
|
is_enabled | Used to enable or disable synchronizations. | boolean |
|
external_reference | Location of the external repository. | string |
|
external_registry_username | Username used to authenticate with external registry. | |
|
external_registry_password | Password used to authenticate with external registry. | |
|
sync_start_date | Determines the next time this repository is ready for synchronization. | string |
|
sync_interval | Number of seconds after next_start_date to begin synchronizing. | integer |
|
robot_username | Username of robot which will be used for image pushes. | string |
|
root_rule | A list of glob-patterns used to determine which tags should be synchronized. | object |
|
external_registry_config | object |
2.25.4. ApiErrorDescription 링크 복사링크가 클립보드에 복사되었습니다!
| Name | Description | Schema |
|---|---|---|
|
type | A reference to the error type resource | string |
|
title | The title of the error. Can be used to uniquely identify the kind of error. | string |
|
description | A more detailed description of the error that may include help for fixing the issue. | string |